# Static Site Generator
Generates simple webpages.

# How to use
1. Create a file with `.page` extension in the same directory as `generate.py`, the file name will be title of the page, for example: About.page
2. Use markdown in the created file, it will be auto-converted to HTML. You can also use raw HTML in the file, with `>` symbol, like this:
```
**Example**
>
  <p>Hello world</p>
**Back to just markdown**
```
Line before HTML code must be a single character `>` and HTML code below must be indented by 2 spaces. You can also use Markdown inside HTML, for example:
```
<p>**Hello world**<p>
```
will display as bold.

3. (Optional) Create a file called `navbar` to have a navigation bar that is added to every generated page file. Example navbar file:
```
[Home](/)
[About](/about)
```
It also supports HTML, but HTML code will not be formatted as navigation bar automatically.

4. Run generate.py, it will generate output website files in `website-output` folder.

# To-do list
1. Better styling support for navigation bar, etc.
2. Footer support, similar to navigation bar.
3. Adding images, other resources support.
4. Delete removed page files from website-output during next site generation (Last, to be done on release, so it doesn't disturb development)
